<script setup lang="ts">
import { computed } from 'vue'

const props = defineProps<{
    value: number
}>()


const formatted = computed(() =>
    new Intl.NumberFormat(undefined, { maximumFractionDigits: 0 }).format(props.value)
)
</script>

<template>
    {{ formatted }}
</template>

<style scoped>

</style>
